<testsuites>
  <!--Report is generated by Rally 1.5.1 at 2021-02-04T12:12:30-->
  <testsuite errors="0" failures="0" id="a783365e-ffc5-459e-b1a2-7cea12b40377" skipped="6" tests="147" time="105.95" timestamp="2021-02-04T12:09:08">
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_label_rules_rbac.MeteringLabelRulesRbacTest" id="81e81776-9d41-4d5e-b5c4-59d5c54a31ad" name="test_create_metering_label_rule" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_label_rules_rbac.MeteringLabelRulesRbacTest" id="e3adc88c-05c0-43a7-8e32-63947ae4890e" name="test_delete_metering_label_rule" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_label_rules_rbac.MeteringLabelRulesRbacTest" id="e21b40c3-d44d-412f-84ea-836ca8603bcb" name="test_show_metering_label_rule" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_labels_rbac.MeteringLabelsRbacTest" id="e8cfc8b8-c159-48f0-93b3-591625a02f8b" name="test_create_metering_label" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_labels_rbac.MeteringLabelsRbacTest" id="1621ccfe-2e3f-4d16-98aa-b620f9d00404" name="test_delete_metering_label" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_metering_labels_rbac.MeteringLabelsRbacTest" id="c57f6636-c702-4755-8eac-5e73bc1f7d14" name="test_show_metering_label" time="0.000">
      <skipped>metering extension not enabled.</skipped>
    </testcase>
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_objects_rbac.ImageNamespacesObjectsRbacTest" id="772156f2-e33d-432e-8521-12385746c2f0" name="test_create_metadef_object_in_namespace" time="1.408" timestamp="2021-02-04T12:09:37+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_rbac.ImageNamespacesRbacTest" id="e0730ead-b824-4ffc-b774-9469df0e4da6" name="test_create_metadef_namespace" time="1.100" timestamp="2021-02-04T12:09:37+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_tags_rbac.NamespaceTagsRbacTest" id="50bedccb-9d0b-4138-8d95-31a89250edf6" name="test_create_namespace_tag" time="1.043" timestamp="2021-02-04T12:09:37+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_flavors_rbac.FlavorsPluginRbacTest" id="2632a61b-831e-4da5-82c8-a5f7d448589b" name="test_create_flavor" time="1.049" timestamp="2021-02-04T12:09:37+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_objects_rbac.ImageNamespacesObjectsRbacTest" id="48b50ecb-237d-4909-be62-b6a05c47b64d" name="test_list_metadef_objects_in_namespace" time="0.566" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_rbac.ImageNamespacesRbacTest" id="72c14a7e-927d-4f1a-9e1f-25475552922b" name="test_modify_metadef_namespace" time="0.528" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_tags_rbac.NamespaceTagsRbacTest" id="20ffaf76-ebdc-4267-a1ad-194346f5cc91" name="test_create_namespace_tags" time="0.533" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_tags_rbac.NamespaceTagsRbacTest" id="d37c1501-e787-449d-89b3-754a942a459a" name="test_list_namespace_tags" time="0.476" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_resource_types_rbac.ImageResourceTypesRbacTest" id="ef9fbc60-3e28-4164-a25c-d30d892f7939" name="test_add_metadef_resource_type" time="0.774" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_resource_types_rbac.ImageResourceTypesRbacTest" id="3698d53c-71ae-4803-a2c3-c272c054f25c" name="test_get_metadef_resource_type" time="0.484" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.AgentsRbacTest" id="f88e38e0-ab52-4b97-8ffa-48a27f9d199b" name="test_show_agent" time="0.863" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.DHCPAgentSchedulersRbacTest" id="14e014ac-f355-46d3-b6d8-98f2c9ec1610" name="test_add_dhcp_agent_to_network" time="1.835" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.L3AgentSchedulerRbacTest" id="466b2a10-8747-4c09-855a-bd90a1c86ce7" name="test_create_router_on_l3_agent" time="1.135" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_flavors_rbac.FlavorsPluginRbacTest" id="1de15f9e-5080-4259-ab41-e230bb312de8" name="test_delete_flavor" time="0.984" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_network_segments_rbac.NetworkSegmentsRbacTest" id="9e1d0c3d-92e3-40e3-855e-bfbb72ea6e0b" name="test_create_network_segments" time="3.856" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_segments_rbac.SegmentsPluginRbacTest" id="c02618e7-bb20-1a3a-83c8-6eec2af08126" name="test_create_segment" time="1.483" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_service_providers_rbac.ServiceProvidersRbacTest" id="15f573b7-474a-4b37-8629-7fac86553ce5" name="test_list_service_providers" time="0.727" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="1b5509fd-2c32-44a8-a786-1b6ca162dbd1" name="test_create_subnetpool" time="1.194" timestamp="2021-02-04T12:09:38+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_objects_rbac.ImageNamespacesObjectsRbacTest" id="93c61420-5b80-4a0e-b6f3-4ccc6e90b865" name="test_show_metadef_object_in_namespace" time="0.537" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_objects_rbac.ImageNamespacesObjectsRbacTest" id="cd130b1d-89fa-479c-a90e-498d895fb455" name="test_update_metadef_object_in_namespace" time="0.673" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_property_rbac.NamespacesPropertyRbacTest" id="383555ca-677b-43e9-b809-acc2b5a0176c" name="test_add_md_properties" time="0.852" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_property_rbac.NamespacesPropertyRbacTest" id="d5177611-c2b5-4000-bd9c-1987af9222ea" name="test_get_md_properties" time="0.758" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_tags_rbac.NamespaceTagsRbacTest" id="4acf70cc-05da-4b1e-87b2-d5e4475164e7" name="test_show_namespace_tag" time="0.599" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_resource_types_rbac.ImageResourceTypesRbacTest" id="0416fc4d-cfdc-447b-88b6-d9f1dd0382f7" name="test_list_metadef_resource_types" time="0.285" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_member_rbac.ImagesMemberRbacTest" id="b1b85ace-6484-11e6-881e-080027d0d606" name="test_add_image_member" time="0.868" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="0f2d8427-134a-4d3c-a102-5fcdf5443d09" name="test_communitize_image" time="0.773" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="0f148510-63bf-11e6-b348-080027d0d606" name="test_create_image" time="0.343" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.AgentsRbacTest" id="8ca68fdb-eaf6-4880-af82-ba0982949dec" name="test_update_agent" time="0.794" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_flavors_rbac.FlavorsPluginRbacTest" id="ab10bd5d-987e-4255-966f-947670ffd0fa" name="test_list_flavors" time="0.789" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_floating_ips_rbac.FloatingIpsRbacTest" id="f8f7474c-b8a5-4174-af84-73097d6ced38" name="test_create_floating_ip" time="5.008" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="a0627778-d68d-4913-881b-e345360cca19" name="test_add_router_interface" time="9.213" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="db7003ce-5717-4e5b-afc7-befa35e8c67f" name="test_create_security_group" time="1.194" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="cf730989-0d47-40bc-b39a-99e7de484723" name="test_create_subnetpool_shared" time="0.759" timestamp="2021-02-04T12:09:39+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_property_rbac.NamespacesPropertyRbacTest" id="cfeda2af-bcab-433e-80c7-4b40c774aed5" name="test_get_md_property" time="0.564" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_tags_rbac.NamespaceTagsRbacTest" id="01593828-3edb-461e-8abc-8fdeb3927e37" name="test_update_namespace_tag" time="0.717" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_member_rbac.ImagesMemberRbacTest" id="ba075234-6484-11e6-881e-080027d0d606" name="test_delete_image_member" time="0.517" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="244050d9-1b9a-446a-b3c5-f26f3ba8eb75" name="test_create_image_tag" time="0.537" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="b488458c-65df-11e6-9947-080027824017" name="test_deactivate_image" time="1.006" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.DHCPAgentSchedulersRbacTest" id="937a4302-4b49-407d-9980-5843d7badc38" name="test_delete_network_from_dhcp_agent" time="2.241" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.L3AgentSchedulerRbacTest" id="8138cfc9-3e48-4a34-adf6-894077aa1be4" name="test_delete_router_from_l3_agent" time="0.949" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_flavors_rbac.FlavorsPluginRbacTest" id="c2baf35f-e6c1-4833-9114-aadd9b1f6aaa" name="test_show_flavor" time="0.868" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="95b9baab-1ece-4e2b-89c8-8d671d974e54" name="test_create_network" time="0.991" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="953d78df-00cd-416f-9cbd-b7cb4ea65772" name="test_create_security_group_rule" time="1.042" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_segments_rbac.SegmentsPluginRbacTest" id="c02618e7-bb20-1a3a-83c8-6eec2af08129" name="test_delete_segment" time="2.902" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="50f5944e-43e5-457b-ab50-fb48a73f0d3e" name="test_delete_subnetpool" time="0.859" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="4f5aee26-0507-4b6d-b44c-3128a25094d2" name="test_show_subnetpool" time="1.005" timestamp="2021-02-04T12:09:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_image_namespace_property_rbac.NamespacesPropertyRbacTest" id="fdaf9363-4010-4f2f-8192-1b28f6b22e69" name="test_modify_md_properties" time="0.896" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_member_rbac.ImagesMemberRbacTest" id="d0a2dc20-6484-11e6-881e-080027d0d606" name="test_list_image_members" time="0.658" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_member_rbac.ImagesMemberRbacTest" id="c01fd308-6484-11e6-881e-080027d0d606" name="test_show_image_member" time="0.878" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="3b5c341e-645b-11e6-ac4f-080027d0d606" name="test_delete_image" time="1.141" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.L3AgentSchedulerRbacTest" id="5d2bbdbc-40a5-43d2-828a-84dc93fcc453" name="test_list_routers_on_l3_agent" time="0.886" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_flavors_rbac.FlavorsPluginRbacTest" id="9c53164c-117d-4b44-a5cb-96f08386513f" name="test_update_flavor" time="1.860" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="28602661-5ac7-407e-b739-e393f619f5e3" name="test_create_network_is_default" time="1.807" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="0ec8c551-625c-4864-8a52-85baa7c40f22" name="test_create_port" time="3.275" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="0b1330fd-dd28-40f3-ad73-966052e4b3de" name="test_delete_security_group" time="1.223" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="1e79cead-5081-4be2-a4f7-484c0f443b9b" name="test_update_subnetpool" time="1.173" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnets_rbac.SubnetsRbacTest" id="0481adeb-4301-44d5-851c-35910cc18a6b" name="test_create_subnet" time="1.837" timestamp="2021-02-04T12:09:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_member_rbac.ImagesMemberRbacTest" id="ca448bb2-6484-11e6-881e-080027d0d606" name="test_update_image_member" time="0.856" timestamp="2021-02-04T12:09:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="c4a0bf9c-b78b-48c6-a31f-72c95f943c6e" name="test_delete_image_tag" time="0.661" timestamp="2021-02-04T12:09:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_agents_rbac.DHCPAgentSchedulersRbacTest" id="dc84087b-4c2a-4878-8ed0-40370e19da17" name="test_list_networks_hosted_by_one_dhcp_agent" time="0.749" timestamp="2021-02-04T12:09:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_network_segments_rbac.NetworkSegmentsRbacTest" id="094ff9b7-0c3b-4515-b19b-b9d2031337bd" name="test_show_network_segments" time="3.038" timestamp="2021-02-04T12:09:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="2262539e-b7d9-438c-acf9-a5ce0613be28" name="test_delete_security_group_rule" time="1.123" timestamp="2021-02-04T12:09:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="f0c268f3-cb51-49aa-9bd5-d30cf647322f" name="test_download_image" time="1.660" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="3c42f7b8-b80c-44ef-8fa4-69ec4b1836bc" name="test_create_network_provider_network_type" time="0.635" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="76783fed-9ff3-4499-a0d1-82d99eec364e" name="test_create_network_provider_physical_network" time="1.054" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="05739ab6-fa35-11e6-bc64-92361f002671" name="test_list_security_group_rules" time="0.824" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_segments_rbac.SegmentsPluginRbacTest" id="c02618e7-bb20-1a3a-83c8-6eec2af08127" name="test_show_segment" time="1.294" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnetpools_rbac.SubnetPoolsRbacTest" id="a16f4e5c-0675-415f-b636-00af00638693" name="test_update_subnetpool_is_default" time="0.650" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnets_rbac.SubnetsRbacTest" id="bcfc7153-bbd1-43a4-a908-b3e1b0cde0dc" name="test_delete_subnet" time="5.912" timestamp="2021-02-04T12:09:43+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_floating_ips_rbac.FloatingIpsRbacTest" id="a8bb826a-403d-4130-a55d-120a0a660806" name="test_create_floating_ip_floatingip_address" time="5.713" timestamp="2021-02-04T12:09:44+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="51adf2a7-739c-41e0-8857-3b4c460cbd24" name="test_create_network_router_external" time="2.483" timestamp="2021-02-04T12:09:44+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="b638d1f4-d903-4ca8-aa2a-6fd603c5ec3a" name="test_create_port_allowed_address_pairs" time="3.315" timestamp="2021-02-04T12:09:44+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="fbaf8d96-ed3e-49af-b24c-5fb44f05bbb7" name="test_list_security_groups" time="1.043" timestamp="2021-02-04T12:09:44+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_segments_rbac.SegmentsPluginRbacTest" id="c02618e7-bb20-1a3a-83c8-6eec2af08128" name="test_update_segment" time="2.098" timestamp="2021-02-04T12:09:44+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="bf1a4e94-645b-11e6-ac4f-080027d0d606" name="test_list_images" time="0.573" timestamp="2021-02-04T12:09:45+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="0ea4809c-6461-11e6-ac4f-080027d0d606" name="test_publicize_image" time="0.697" timestamp="2021-02-04T12:09:45+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_network_segments_rbac.NetworkSegmentsRbacTest" id="0f45232a-7b59-4bb1-9a91-db77d0a8cc9b" name="test_update_network_segments" time="8.260" timestamp="2021-02-04T12:09:45+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="56335e77-aef2-4b54-86c7-7f772034b585" name="test_show_security_group" time="0.711" timestamp="2021-02-04T12:09:45+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="d3fa28b8-65df-11e6-9947-080027824017" name="test_reactivate_image" time="0.806" timestamp="2021-02-04T12:09:46+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="84b4038c-261e-4a94-90d5-c885739ab0d5" name="test_show_security_group_rule" time="2.247" timestamp="2021-02-04T12:09:46+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="3085c7c6-645b-11e6-ac4f-080027d0d606" name="test_show_image" time="0.486" timestamp="2021-02-04T12:09:47+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="32ecf48c-645e-11e6-ac4f-080027d0d606" name="test_update_image" time="0.780" timestamp="2021-02-04T12:09:47+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="ccabf2a9-28c8-44b2-80e6-ffd65d43eef2" name="test_create_network_shared" time="0.703" timestamp="2021-02-04T12:09:47+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="56ca50ed-ac58-49d6-b239-ed39e7124d5c" name="test_delete_network" time="1.905" timestamp="2021-02-04T12:09:47+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="a54bd6b8-a7eb-4101-bfe8-093930b0d660" name="test_create_port_binding_host_id" time="8.363" timestamp="2021-02-04T12:09:47+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.image.test_images_rbac.BasicOperationsImagesRbacTest" id="fdc0c7e2-ad58-4c5a-ba9d-1f6046a5b656" name="test_upload_image" time="0.996" timestamp="2021-02-04T12:09:48+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="c6254ca6-2728-412d-803d-d4aa3935e56d" name="test_create_distributed_router" time="2.372" timestamp="2021-02-04T12:09:48+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_security_groups_rbac.SecGroupRbacTest" id="56c5e4dc-f8aa-11e6-bc64-92361f002671" name="test_update_security_group" time="2.845" timestamp="2021-02-04T12:09:48+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_floating_ips_rbac.FloatingIpsRbacTest" id="2611b068-30d4-4241-a78f-1b801a14db7e" name="test_delete_floating_ip" time="8.618" timestamp="2021-02-04T12:09:49+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="b524f19f-fbb4-4d11-a85d-03bfae17bf0e" name="test_list_dhcp_agents_on_hosting_network" time="0.584" timestamp="2021-02-04T12:09:49+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnets_rbac.SubnetsRbacTest" id="e2ddc415-5cab-43f4-9b61-166aed65d637" name="test_list_subnets" time="0.525" timestamp="2021-02-04T12:09:49+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="0eb62d04-338a-4ff4-a8fa-534e52110534" name="test_show_network" time="0.601" timestamp="2021-02-04T12:09:50+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnets_rbac.SubnetsRbacTest" id="c02618e7-bb20-4abd-83c8-6eec2af08752" name="test_show_subnet" time="0.503" timestamp="2021-02-04T12:09:50+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_subnets_rbac.SubnetsRbacTest" id="f36cd821-dd22-4bd0-b43d-110fc4b553eb" name="test_update_subnet" time="5.158" timestamp="2021-02-04T12:09:50+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="6521dd60-0950-458b-8491-09d3c84ac0f4" name="test_show_network_provider_network_type" time="1.014" timestamp="2021-02-04T12:09:51+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="6139eb97-95c0-40d8-a109-99de11ab2e5e" name="test_create_high_availability_router" time="12.043" timestamp="2021-02-04T12:09:51+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="c049f11a-240c-4a85-ad43-a4d3fd0a5e39" name="test_show_network_provider_physical_network" time="3.724" timestamp="2021-02-04T12:09:52+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="38d9f085-6365-4f81-bac9-c53c294d727e" name="test_show_network_provider_segmentation_id" time="0.886" timestamp="2021-02-04T12:09:55+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="529e4814-22e9-413f-af48-8fefcd637344" name="test_show_network_router_external" time="0.913" timestamp="2021-02-04T12:09:56+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="98fa38ab-c2ed-46a0-99f0-59f18cbd257a" name="test_create_port_binding_profile" time="1.733" timestamp="2021-02-04T12:09:56+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="6485bb4e-e110-48ae-83e1-3ec8b40c3107" name="test_update_network" time="1.317" timestamp="2021-02-04T12:09:57+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="045ee797-4962-4913-b96a-5d7ea04099e7" name="test_create_port_device_owner" time="2.544" timestamp="2021-02-04T12:09:57+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_floating_ips_rbac.FloatingIpsRbacTest" id="f8846fd0-c976-48fe-a148-105303931b32" name="test_show_floating_ip" time="6.277" timestamp="2021-02-04T12:09:58+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="d064ef96-662b-47b6-94b7-9106dcd7ba8c" name="test_update_network_provider_network_type" time="1.765" timestamp="2021-02-04T12:09:58+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="e3a55660-f75c-494e-a1b1-a8b36cc789ef" name="test_update_network_provider_physical_network" time="0.635" timestamp="2021-02-04T12:10:00+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="2551e10d-006a-413c-925a-8c6f834c09ac" name="test_create_port_fixed_ips_ip_address" time="2.468" timestamp="2021-02-04T12:10:00+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="f6164228-b670-45fd-9ff9-b101930318c7" name="test_update_network_provider_segmentation_id" time="0.718" timestamp="2021-02-04T12:10:01+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="34884c22-499b-4960-97f1-e2ed8522a9c9" name="test_update_network_router_external" time="1.482" timestamp="2021-02-04T12:10:02+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest" id="37ea3e33-47d9-49fc-9bba-1af98fbd46d6" name="test_update_network_shared" time="2.843" timestamp="2021-02-04T12:10:03+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="aee6d0be-a7f3-452f-aefc-796b4eb9c9a8" name="test_create_port_mac_address" time="3.194" timestamp="2021-02-04T12:10:03+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="acc5005c-bdb6-4192-bc9f-ece9035bb488" name="test_create_router" time="2.386" timestamp="2021-02-04T12:10:03+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_floating_ips_rbac.FloatingIpsRbacTest" id="2ab1b060-19f8-4ef6-a838-e2ab7b377c63" name="test_update_floating_ip" time="5.404" timestamp="2021-02-04T12:10:04+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="3c5acd49-0ec7-4109-ab51-640557b48ebc" name="test_create_router_enable_snat" time="5.431" timestamp="2021-02-04T12:10:05+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="c4fa8844-f5ef-4daa-bfa2-b89897dfaedf" name="test_create_port_security_enabled" time="1.397" timestamp="2021-02-04T12:10:06+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="1cf8e582-bc09-46cb-b32a-82bf991ad56f" name="test_delete_port" time="2.851" timestamp="2021-02-04T12:10:07+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="a9d41cb8-78a2-4b97-985c-44e4064416f4" name="test_show_port" time="0.595" timestamp="2021-02-04T12:10:10+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="8e61bcdc-6f81-443c-833e-44410266551e" name="test_show_port_binding_host_id" time="3.937" timestamp="2021-02-04T12:10:11+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="d0354369-a040-4349-b869-645c8aed13cd" name="test_create_router_external_fixed_ips" time="7.170" timestamp="2021-02-04T12:10:11+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="d497cea9-c4ad-42e0-acc9-8d257d6b01fc" name="test_show_port_binding_profile" time="1.699" timestamp="2021-02-04T12:10:15+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="e42bfd77-fcce-45ee-9728-3424300f0d6f" name="test_show_port_binding_vif_details" time="0.562" timestamp="2021-02-04T12:10:16+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="125aff0b-8fed-4f8e-8410-338616594b06" name="test_show_port_binding_vif_type" time="0.534" timestamp="2021-02-04T12:10:17+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="afa80981-3c59-42fd-9531-3bcb2cd03711" name="test_update_port" time="1.694" timestamp="2021-02-04T12:10:17+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="c0634dd5-0467-48f7-a4ae-1014d8edb2a7" name="test_delete_router" time="1.140" timestamp="2021-02-04T12:10:18+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="729c2151-bb49-4f4f-9d58-3ed8819b7582" name="test_update_port_allowed_address_pairs" time="5.320" timestamp="2021-02-04T12:10:19+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="ff2593a4-2bff-4c27-97d3-dd3702b27dfb" name="test_remove_router_interface" time="12.072" timestamp="2021-02-04T12:10:19+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="24206a72-0d90-4712-918c-5c9a1ebef64d" name="test_update_port_binding_host_id" time="4.219" timestamp="2021-02-04T12:10:24+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="990ea8d1-9257-4f71-a3bf-d6d0914625c5" name="test_update_port_binding_profile" time="3.032" timestamp="2021-02-04T12:10:29+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="3ed26ea2-b419-410c-b4b5-576c1edafa06" name="test_show_distributed_router" time="1.833" timestamp="2021-02-04T12:10:31+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="08d70f59-67cb-4fb1-bd6c-a5e59dd5db2b" name="test_update_port_device_owner" time="3.061" timestamp="2021-02-04T12:10:32+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="defc502c-4159-4824-b4d9-3cdcc39015b2" name="test_show_high_availability_router" time="7.359" timestamp="2021-02-04T12:10:33+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="c091c825-532b-4c6f-a14f-affd3259c1c3" name="test_update_port_fixed_ips_ip_address" time="2.757" timestamp="2021-02-04T12:10:35+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="507140c8-7b14-4d63-b627-2103691d887e" name="test_update_port_mac_address" time="3.260" timestamp="2021-02-04T12:10:37+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="bfbdbcff-f115-4d3e-8cd5-6ada33fd0e21" name="test_show_router" time="1.534" timestamp="2021-02-04T12:10:40+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_ports_rbac.PortsRbacTest" id="795541af-6652-4e35-9581-fd58224f7545" name="test_update_port_security_enabled" time="0.978" timestamp="2021-02-04T12:10:41+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="e1932c19-8f73-41cd-b5d2-84c7ae5d530c" name="test_update_distributed_router" time="3.700" timestamp="2021-02-04T12:10:42+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="ddc20731-dea1-4321-9abf-8772bf0b5977" name="test_update_high_availability_router" time="9.739" timestamp="2021-02-04T12:10:45+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="3d182f4e-0023-4218-9aa0-ea2b0ae0bd7a" name="test_update_router" time="2.455" timestamp="2021-02-04T12:10:55+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="515a2954-3d79-4695-aeb9-d1c222765840" name="test_update_router_enable_snat" time="5.570" timestamp="2021-02-04T12:10:58+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="f429e5ee-8f0a-4667-963e-72dd95d5adee" name="test_update_router_external_fixed_ips" time="8.368" timestamp="2021-02-04T12:11:03+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="5a6ae104-a9c3-4b56-8622-e1a0a0194474" name="test_update_router_external_gateway_info" time="1.397" timestamp="2021-02-04T12:11:12+0000" />
    <testcase classname="patrole_tempest_plugin.tests.api.network.test_routers_rbac.RouterRbacTest" id="f1fc5a23-e3d8-44f0-b7bc-47006ad9d3d4" name="test_update_router_external_gateway_info_network_id" time="6.611" timestamp="2021-02-04T12:11:13+0000" />
  </testsuite>
</testsuites>
